Class | Sass::Selector::Parent
In: | lib/sass/selector.rb
Parent: | Simple

A parent-referencing selector (`&` in Sass). The function of this is to be replaced by the parent selector in the nested hierarchy.

### Methods

to_a unify

### Public Instance methods

to_a()

@see Selector#to_a

[Source]

        # File lib/sass/selector.rb, line 26
    26:       def to_a
    27:         ["&"]
    28:       end

unify(sels)

Always raises an exception.

@raise [Sass::SyntaxError] Parent selectors should be resolved before unification @see Selector#unify

[Source]

        # File lib/sass/selector.rb, line 34
    34:       def unify(sels)
    35:         raise Sass::SyntaxError.new("[BUG] Cannot unify parent selectors.")
    36:       end

[Validate]